# $Revision: 1.85.2.28 $, $Date: 2008-01-29 09:38:09 $
#
# TODO:
# - wait till the gcc bug http://gcc.gnu.org/PR16185 is fixed.
#
# Conditional build:
%bcond_without	kqemu			# disable KQEMU ACCELERATOR support in QEMU
%bcond_with	cflags_passing		# with passing rpmcflags to Makefiles
%bcond_with	dosguest		# add special patch when use with DOS as guest os
%bcond_with	nosdlgui		# do not use SDL gui (use X11 instead)
# Note that gcc4 build is very problematic and not supported by qemu team
%bcond_with	gcc4			# use gcc4 patches (broke build on gcc33)
%bcond_without	dist_kernel		# without distribution kernel
%bcond_without	kernel			# build kqemu KERNEL MODULES
%bcond_without	up			# don't build up module
%bcond_without	smp			# don't build SMP module
%bcond_without	userspace		# don't build userspace utilities
%bcond_with	grsec_kernel	# build for kernel-grsecurity

# no kernel kqemu module for ppc
%ifarch ppc
%undefine      with_kqemu
%undefine      with_kernel
%endif

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if %{with kernel} && %{with dist_kernel} && %{with grsec_kernel}
%define	alt_kernel	grsecurity
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		kqemu_version	1.3.0pre11
%define		qemu_version	0.9.1
%define		pname	qemu

%define		rel	2
Summary:	QEMU CPU Emulator
Summary(pl):	QEMU - emulator procesora
Name:		%{pname}%{_alt_kernel}
Version:	%{qemu_version}
Release:	%{rel}%{?with_kqemu:k}
License:	GPL
Group:		Applications/Emulators
#Source0Download: http://fabrice.bellard.free.fr/qemu/download.html
Source0:	http://fabrice.bellard.free.fr/qemu/%{pname}-%{version}.tar.gz
# Source0-md5:	6591df8e9270eb358c881de4ebea1262
Source1:	http://fabrice.bellard.free.fr/qemu/k%{pname}-%{kqemu_version}.tar.gz
# Source1-md5:	970521874ef8b1ba4598925ace5936c3
Patch0:		%{pname}-nostatic.patch
Patch1:		%{pname}-cc.patch
Patch3:		%{pname}-dot.patch
Patch4:		%{pname}-gcc4_x86.patch
Patch5:		%{pname}-gcc4_ppc.patch
Patch6:		%{pname}-nosdlgui.patch
Patch7:		%{pname}-ifup.patch
# Proof of concept, for reference, do not remove
Patch8:		%{pname}-kde_virtual_workspaces_hack.patch
# http://gwenole.beauchesne.info/en/projects/qemu
Patch9:		%{pname}-0.8.0-gcc4-hacks.patch
Patch11:	%{pname}-0.7.2-gcc4-opts.patch
#Patch12:	%{pname}-0.7.2-dyngen-check-stack-clobbers.patch
Patch13:	%{pname}-dosguest.patch
Patch14:	%{pname}-ppc_old_binutils.patch
URL:		http://fabrice.bellard.free.fr/qemu/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.330
%endif
%if %{with userspace}
BuildRequires:	SDL-devel >= 1.2.1
BuildRequires:	alsa-lib-devel
%{!?with_gcc4:BuildRequires:	gcc < 5:4.0}
BuildRequires:	perl-tools-pod
BuildRequires:	tetex
BuildRequires:	sed >= 4.0
%endif
Requires:	SDL >= 1.2.1
# sparc is currently unsupported (missing cpu_get_real_ticks() impl in vl.c)
ExclusiveArch:	%{ix86} %{x8664} %{?with_userspace:ppc}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# some SPARC boot image in ELF format
%define		_noautostrip	.*%{_datadir}/qemu/openbios-sparc32

%description
QEMU is a FAST! processor emulator. By using dynamic translation it
achieves a reasonnable speed while being easy to port on new host
CPUs. QEMU has two operating modes:

- User mode emulation. In this mode, QEMU can launch Linux processes
  compiled for one CPU on another CPU. Linux system calls are converted
  because of endianness and 32/64 bit mismatches. Wine (Windows
  emulation) and DOSEMU (DOS emulation) are the main targets for QEMU.

- Full system emulation. In this mode, QEMU emulates a full system,
  including a processor and various peripherials. It can also be used to
  provide virtual hosting of several virtual PC on a single server.

%description -l pl
QEMU to szybki(!) emulator procesora. Poprzez uycie dynamicznego
tumaczenia osiga rozsdn szybko i jest atwy do przeportowania,
aby dziaa na kolejnych procesorach. QEMU ma dwa tryby pracy:

- Emulacja trybu uytkownika. W tym trybie QEMU moe uruchamia
  procesy linuksowe skompilowane dla jednego procesora na innym
  procesorze. Linuksowe wywoania systemowe s tumaczone ze wzgldu na
  niezgodno kolejnoci bajtw w sowie i 32/64-bitowego rozmiaru
  sowa. Wine (emulacja Windows) i DOSEMU (emulacja DOS-a) to gwne
  cele QEMU.

- Pena emulacja systemu. W tym trybie QEMU emuluje cay system,
  wczajc w to procesor i rne urzdzenia peryferyjne. Moe by take
  uywane do wirtualnego hostowania kilku wirtualnych pecetw na
  pojedynczym serwerze.

%package -n kernel%{_alt_kernel}-misc-kqemu
Summary:	kqemu - kernel module
Summary(pl):	kqemu - modu jdra
Version:	%{kqemu_version}
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
License:	GPL v2
Requires(post,postun):	/sbin/depmod
Requires:	module-init-tools >= 3.2.2-2

%description -n kernel%{_alt_kernel}-misc-kqemu
kqemu - kernel module.

%description -n kernel%{_alt_kernel}-misc-kqemu -l pl
kqemu - modu jdra.

%package -n kernel%{_alt_kernel}-smp-misc-kqemu
Summary:	kqemu - SMP kernel module
Summary(pl):	kqemu - modu jdra SMP
Version:	%{kqemu_version}
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
License:	GPL v2
Requires(post,postun):	/sbin/depmod
Requires:	module-init-tools >= 3.2.2-2

%description -n kernel%{_alt_kernel}-smp-misc-kqemu
kqemu - SMP kernel module.

%description -n kernel%{_alt_kernel}-smp-misc-kqemu -l pl
kqemu - modu jdra SMP.

%prep
%if %{with kernel}
%if %{with dist_kernel} && %{without up} && %{without smp}
%{error:%{pname}: If building kernel module You need to enable at least one of up or smp}
exit 1
%endif
%endif

%setup -q -n %{pname}-%{qemu_version} %{?with_kernel:-a1}
%patch0 -p1
%patch1 -p1
%patch3 -p1
%if %{with gcc4}
%patch9 -p1
%patch11 -p1
#%patch12 -p1
#%patch4 -p0
%patch5 -p1
%endif
%{?with_nosdlgui:%patch6 -p1}
%patch7 -p1
#%patch8 -p1

%{__sed} -i -e 's/sdl_static=yes/sdl_static=no/' configure
%{__sed} -i 's/.*MAKE) -C kqemu$//' Makefile

# cannot use optflags on x86 - they cause "no register to spill" errors
%if %{with cflags_passing}
%{__sed} -i -e 's/-Wall -O2 -g/-Wall %{rpmcflags}/' Makefile Makefile.target
%else
%{__sed} -i 's/-Wall -O2 -g/-Wall -O2/' Makefile Makefile.target
%endif

%if %{with kernel}
echo -n > kqemu-%{kqemu_version}/install.sh

cat <<'EOF' > modprobe.conf
# enable dynamic major
options kqemu major=0
# for autoloading from static dev
#alias char-major-250 kqemu
EOF

cat <<'EOF' > udev.conf
KERNEL=="kqemu", NAME="%k", MODE="0666"
EOF
%endif

%if %{with dosguest}
%patch13 -p1
%endif
%patch14 -p1

%build
%if %{with kernel}
cd kqemu-%{kqemu_version}

%{__sed} -i 's#include ../config-host.mak##' ./common/Makefile
%ifarch %{x8664}
%{__sed} -i 's/^#ARCH=x86_64/ARCH=x86_64/' ./common/Makefile
%{__make} -C common -j1
mv -f kqemu-mod-x86_64.o{,.bin}
%else
%{__sed} -i 's/^#ARCH=i386/ARCH=i386/' ./common/Makefile
%{__make} -C common -j1
mv -f kqemu-mod-i386.o{,.bin}
%endif

mv -f kqemu-linux.c{,.orig}
cat > Makefile <<'EOF'
obj-m := kqemu.o
kqemu-objs:= kqemu-linux.o kqemu-mod.o

$(obj)/kqemu-mod.o: $(src)/kqemu-mod-$(ARCH).o.bin
	cp $< $@
EOF

%build_kernel_modules -m kqemu <<'EOF'
if grep -q "CONFIG_PREEMPT_RT" o/.config; then
	sed 's/SPIN_LOCK_UNLOCKED/SPIN_LOCK_UNLOCKED(kqemu_lock)/' \
		kqemu-linux.c.orig > kqemu-linux.c
else
	cat kqemu-linux.c.orig > kqemu-linux.c
fi
EOF
cd -
%endif

%if %{with userspace}
# --extra-cflags don't work (overridden by CFLAGS in Makefile*)
# they can be passed if the cflags_passing bcond is used
./configure \
	--prefix=%{_prefix} \
	--cc="%{__cc}" \
	--host-cc="%{__cc}" \
	--make="%{__make}" \
%if %{without kqemu}
	--disable-kqemu \
%endif
	%{?with_gcc4:--disable-gcc-check} \
	--enable-alsa \
	--interp-prefix=%{_libdir}/%{pname}
%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/sbin
cat <<'EOF' > $RPM_BUILD_ROOT/sbin/qemu-ifup
#!/bin/sh
if [ -f /etc/sysconfig/qemu ]; then
	. /etc/sysconfig/qemu
fi
# of course this will work only for one interface. a lot possible to involve
sudo /sbin/ifconfig $1 ${INTERFACE_ADDR:-172.20.0.1}
EOF
%endif

%if %{with kernel}
%install_kernel_modules -m kqemu-%{kqemu_version}/kqemu -d misc
install -d $RPM_BUILD_ROOT/etc/{modprobe.d/%{_kernel_ver}{,smp},udev/rules.d}
install modprobe.conf $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/kqemu.conf
%if %{with smp} && %{with dist_kernel}
install modprobe.conf $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}smp/kqemu.conf
%endif
install udev.conf $RPM_BUILD_ROOT/etc/udev/rules.d/kqemu.rules
%endif

# already packaged
rm -rf $RPM_BUILD_ROOT%{_docdir}/qemu/qemu-{doc,tech}.html

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with kernel}
%post
%banner %{pname} -e <<EOF
To enable qemu accelerator (kqemu), the kqemu kernel module must be loaded:
modprobe kqemu
EOF
%endif

%post	-n kernel%{_alt_kernel}-misc-kqemu
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-misc-kqemu
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-misc-kqemu
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-misc-kqemu
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc README qemu-doc.html qemu-tech.html
%attr(755,root,root) /sbin/qemu-ifup
%attr(755,root,root) %{_bindir}/*
%{_datadir}/qemu
%{_mandir}/man1/qemu.1*
%{_mandir}/man1/qemu-img.1*
%endif

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-misc-kqemu
%defattr(644,root,root,755)
%doc kqemu-%{kqemu_version}/LICENSE
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/kqemu.rules
%config(noreplace) %verify(not md5 mtime size) /etc/modprobe.d/%{_kernel_ver}/kqemu.conf
/lib/modules/%{_kernel_ver}/misc/kqemu.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-misc-kqemu
%defattr(644,root,root,755)
%doc kqemu-%{kqemu_version}/LICENSE
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/kqemu.rules
%config(noreplace) %verify(not md5 mtime size) /etc/modprobe.d/%{_kernel_ver}smp/kqemu.conf
/lib/modules/%{_kernel_ver}smp/misc/kqemu.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qemu.spec,v $
Revision 1.85.2.28  2008-01-29 09:38:09  glen
- build ppc only if userspace is wanted

Revision 1.85.2.27  2008-01-28 09:33:07  glen
- rel 2 (kernel-2.6.16.60-1)

Revision 1.85.2.26  2008-01-22 23:19:35  glen
- cosmetics

Revision 1.85.2.25  2008-01-21 23:44:34  undefine
- add qemu-ppc_old_binutils.patch to fix build on ppc with our AnCientic
  binutils (don't use function from binutils 2.17, when we use 2.15 on ac
- release 1 - works fine.

Revision 1.85.2.24  2008-01-19 20:57:33  undefine
- up to 0.9.1

Revision 1.85.2.23  2008-01-18 12:26:08  glen
- rel 58 (2.6.16.58-1)

Revision 1.85.2.22  2007/11/06 18:28:31  glen
- rel 57 (2.6.16.57-1)

Revision 1.85.2.21  2007/11/04 20:22:05  glen
- prefix src package with alt kernel if present

Revision 1.85.2.20  2007/11/01 08:24:18  adamg
- release 56 (rebuild against 2.6.16.56-1)

Revision 1.85.2.19  2007/10/22 20:41:53  glen
- disable userspace for alt kernel

Revision 1.85.2.18  2007/10/22 20:24:59  glen
- unify kernel macros

Revision 1.85.2.17  2007/10/22 19:48:29  glen
- allow build without up kernel

Revision 1.85.2.16  2007/10/22 09:00:15  glen
- allow building without up

Revision 1.85.2.15  2007/10/16 02:30:08  glen
- add grsec_kernel bcond
- make -j1 for common dir

Revision 1.85.2.14  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.85.2.13  2007/10/15 08:21:38  glen
- rel drbd.spec (2.6.16.55)

Revision 1.85.2.12  2007/10/01 21:25:45  glen
- rel 54

Revision 1.85.2.11  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.85.2.10  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.85.2.9  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.85.2.8  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.85.2.7  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.85.2.6  2007/04/25 22:11:32  glen
- rel 5 (kernel 2.6.16.49)

Revision 1.85.2.5  2007/04/18 21:50:14  heretyk
- added patch to fix crash when using qemu with NICs connected via socket
- release 4

Revision 1.85.2.4  2007/03/31 22:43:01  hawk
- don't drop ppc, build w/o kqemu kernel module instead
- release 3

Revision 1.85.2.3  2007/03/28 19:40:17  glen
- rel 2 (kernel 2.6.16.45)

Revision 1.85.2.2  2007/03/20 08:56:37  undefine
- on AC-branch is still iso, so back to iso from UTF

Revision 1.85.2.1  2007/03/19 23:05:23  undefine
- gcc4 disables by default on AC-branch

Revision 1.85  2007/03/14 12:05:25  pascalek
- use gcc4 by default (HEAD if for Th)
- added dosguest patch with dosguest bcond

Revision 1.84  2007/03/13 09:13:06  glen
- allow only userspace build

Revision 1.83  2007/03/13 08:50:24  czarny
- added bcond_without up, as up module wouldn't build without defining with up to 1
- safety check for without up and without smp

Revision 1.82  2007/02/13 20:41:54  glen
- patch from jakubowski kamil

Revision 1.81  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.80  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.79  2007/02/06 23:00:05  glen
- update modules License

Revision 1.78  2007/02/06 22:52:44  aredridel
- start of 0.9.0
- Licensing issues are resolved, but kqemu must now be built

Revision 1.77  2007/01/26 10:22:54  glen
- reverted, kqemu bcond is for application support
- kernel module is what is restricted

Revision 1.76  2007/01/25 23:33:12  hawk
- disabled kqemu bcond, kqemu requires explicit authorization to distribute
- release 2

Revision 1.75  2007/01/11 11:17:11  arekm
- disable gcc4 bcond; broken

Revision 1.74  2006/12/24 09:39:01  qboosh
- kqemu requires explicit authorization to distribute - use NoSource

Revision 1.73  2006/12/24 02:15:28  qboosh
- macros for kernel not userspace

Revision 1.72  2006/12/21 20:33:48  qboosh
- clearer comment

Revision 1.71  2006/12/21 19:30:09  glen
- rel 1

Revision 1.70  2006/11/29 21:39:22  arekm
- more gcc4 patches

Revision 1.69  2006/11/29 18:40:44  arekm
- enable gcc4 by default

Revision 1.68  2006/11/25 20:53:49  mmazur
- added (commented out) patch allowing to use fullscreen qemu as a whole
  workspace in kde

Revision 1.67  2006/11/14 20:36:22  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.66  2006/11/14 20:29:59  sparky
- userspace BRs inside bcond

Revision 1.65  2006/11/13 16:36:53  sparky
- tab

Revision 1.64  2006/11/13 16:31:16  sparky
- kqemu: rename suplied .o to .o.bin so they won't be deleted in make clean

Revision 1.63  2006/11/13 16:11:15  sparky
- typo

Revision 1.62  2006/11/13 12:38:10  sparky
- %{_alt_kernel} support
- use %build_kernel_modules, %install_kernel_modules (not tested)

Revision 1.61  2006/11/12 23:35:03  undefine
- smp

Revision 1.60  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.59  2006/08/29 17:55:39  glen
- -j1 for make prepare scripts

Revision 1.58  2006/08/10 11:13:22  qboosh
- removed outdated gcc33,parallel patches

Revision 1.57  2006/08/05 21:36:22  hawk
- removed NoSource for Source1, not needed anymore

Revision 1.56  2006/08/04 14:32:21  hawk
- updated to 0.8.2
- updated kqemu to 1.3.0pre9 + s/NoSource/Source/ for it
- gcc33 patch seems to be obsolete

Revision 1.55  2006/06/11 22:29:47  tommat
- more BRs checked by configure to build documentation

Revision 1.54  2006/05/23 21:48:39  glen
- renumber patches
- pass --kernel-path to configure just to be sure

Revision 1.53  2006/05/20 00:49:52  glen
- bconds can be confusing sometimes

Revision 1.52  2006/05/20 00:42:16  glen
- always enable kqemu support, it's kqemu module that's restricted, not base
- /dev/kqemu dropped from base, should be in kernel pkg, but major unlikely matches (just use udev)

Revision 1.51  2006/05/19 23:13:37  glen
- updated to 0.8.1
- dropped DESTDIR,initrd_load_addr,slirp_throttle (applied upstream)
- udev and modprobe config fixes

Revision 1.50  2006/05/19 21:08:25  glen
- modprobe.d dir is versioned

Revision 1.49  2006/05/19 21:01:21  glen
- update kqemu to 1.3.0pre7
- use /etc/modprobe.d for alias
- sources shouldn't be bconded (nosource is sufficent)

Revision 1.48  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.47  2006/02/22 23:37:43  sparky
- fixed build with PREEMPT_RT
- no kqemu on ppc

Revision 1.46  2006/02/22 23:27:12  sparky
- fixed new way module building

Revision 1.45  2006/02/14 22:06:06  jajcus
- kqemu kernel module build procedure updated

Revision 1.44  2005/12/26 13:29:07  charles
- added -slirp_throttle.patch (increases user-net performance)

Revision 1.43  2005/12/25 13:47:31  qboosh
- pass --disable-gcc-check if with gcc4 (but doesn't build anyway)

Revision 1.42  2005/12/23 15:05:04  undefine
- conditional use gcc4 patches - broke build on i386/i586
- use FHS-compatibile path to emulated libraries

Revision 1.41  2005/12/21 03:15:28  charles
- added ALSA driver support

Revision 1.40  2005/12/21 01:19:22  undefine
- qemu-gcc33.patch - small workaround to gcc33

Revision 1.39  2005/12/21 01:05:27  undefine
- up to 0.8.0

Revision 1.38  2005/12/17 09:48:47  undefine
- kqemu isn't GPL
- release 2

Revision 1.37  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.36  2005/09/06 11:08:06  glen
- add modprobe.conf hint

Revision 1.35  2005/09/06 01:52:21  charles
- updated to 0.7.2
- updated -gcc4_x86.patch
- killed -g from CFLAGS

Revision 1.34  2005/08/24 07:12:17  glen
- supply /sbin/qemu-ifup script

Revision 1.33  2005/08/20 05:54:55  charles
- separated kernel modules + bconds
- updated BRs

Revision 1.32  2005/08/18 11:13:13  qboosh
- use NoSource1-md5 again

Revision 1.31  2005/08/18 10:42:49  krolik
- update kqemu accelerator to 0.7.1-1

Revision 1.30  2005/08/06 10:38:53  pascalek
- Updated to 0.7.1

Revision 1.29  2005/07/07 00:36:12  pascalek
- nosdlgui patch added (with bcond)

Revision 1.28  2005/07/04 08:25:06  pascalek
- Release 1.3; Parallel port support patch

Revision 1.27  2005/06/21 08:31:43  prism
- cosmetics

Revision 1.26  2005/06/20 16:45:52  prism
- added TODO
- added bcond to pass rpmcflags to Makefiles
- added fixes for gcc4
- cannot determine proper combination of cflags to build it using gcc4...

Revision 1.25  2005/05/31 12:17:37  jajcus
- higher INITRD_LOAD_ADDR, so a big kernel, like that in PLD, can successfully be booted (-initrd_load_addr.patch)

Revision 1.24  2005/05/20 20:17:55  zbyniu
- now builds, and works; banner; NFY
- (by Marcin Sztolcman <msztolcman@post.pl>)

Revision 1.23  2005/05/19 21:02:36  zbyniu
- build kernel modules, now is broken without kqemu, NFY

Revision 1.22  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.21  2005/05/04 17:37:54  wolf
- kqemu bcond

Revision 1.20  2005/05/01 12:38:05  qboosh
- documented optflags failure

Revision 1.19  2005/05/01 12:06:34  qboosh
- added dot patch (fixes qemu-sparc build on amd64)

Revision 1.18  2005/05/01 11:33:40  qboosh
- updated to 0.7.0, updated DESTDIR patch

Revision 1.17  2005/03/04 17:07:20  kolodko
- up description

Revision 1.16  2005/02/22 11:42:32  qboosh
- sparc is currently unsupported; amd64 patch mostly included

Revision 1.15  2005/02/22 11:15:54  qboosh
- disabled gcc34 patch (breaks build on gcc 3.3); release 2

Revision 1.14  2004/11/16 19:45:39  wolf
- 0.6.1

Revision 1.13  2004/10/16 13:56:14  pluto
- wrr, target-list reverted. we wan't all targets on all supported archs.

Revision 1.12  2004/10/16 13:42:37  pluto
- ppc related compilation fix.

Revision 1.11  2004/10/16 13:29:55  pluto
- target list added. test build...

Revision 1.10  2004/10/16 13:08:41  pluto
- exclusieveArch added.

Revision 1.9  2004/10/16 13:04:46  pluto
- gcc 3.4 workaround.

Revision 1.8  2004/10/16 12:34:43  pluto
- longjmp fix.

Revision 1.7  2004/10/16 11:13:39  pluto
- updated to 0.6.0.
- still doesn't build with gcc 3.4 (http://gcc.gnu.org/PR11203).

Revision 1.6  2004/04/10 09:59:15  qboosh
- pl

Revision 1.5  2004/02/05 01:15:03  undefine
- patch to amd64(?) support from mdk

Revision 1.4  2004/02/05 01:06:25  undefine
- md5

Revision 1.3  2004/02/05 01:04:39  undefine
- DESTDIR patch

Revision 1.2  2004/02/05 00:53:33  undefine
- more options to configure, nostatic patch

Revision 1.1  2004/02/05 00:34:59  undefine
- initital version, from mdk. NFY
